Skip to main content
GET
cURL

Authorizations

X-API-ID
string
header
required

API ID, from your settings page.

X-API-KEY
string
header
required

API Key, from your settings page.

Path Parameters

id
string<uuid>
required

A UUID string identifying this Text To Speech Flow.

Response

200 - application/json
id
string<uuid>
required
read-only
script
string
required

Text to be converted to speech

Maximum string length: 8000
output
string
required
read-only

Output audio url

media_job
string | null
required
read-only
credits_used
number
required
read-only

Credits used in this API call

duration
integer
required
read-only

Duration of the video in seconds

is_hidden
boolean
required
read-only

Whether the job is hidden or not

status
string
required
read-only
failed_reason
string
required
read-only

Failed reason

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
accent
string<uuid> | null

Accent to be used for the speech

model

ElevenLabs model. Defaults to the voice's own model.

  • v2 - V2
  • v3 - V3
  • v4 - V4
  • v4_turbo - V4 Turbo
Available options:
v2,
v3,
v4,
v4_turbo
webhook_url
string<uri> | null

Webhook URL for status updates. Default is null.

Maximum string length: 200